End a page

- « ps_delete

- ps_end_pattern »

- PHP Manual
- PS Functions
- End a page

# ps_end_page

(PECL ps >= 1.1.0)

ps_end_page — End a page

### Description

ps_end_page(resource `$psdoc`): bool

Ends a page which was started with ps_begin_page(). Ending a page will leave the current drawing context, which e.g. requires to reload fonts if they were loading within the page, and to set many other drawing parameters like the line width, or color.

### Parameters

`psdoc`

  Resource identifier of the postscript file as returned by ps_new().

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- ps_begin_page() - Start a new page